<?php

namespace SangoBlocks;

class FontAwesome
{
    private $fontawesome5_ver;

    public function init()
    {
      $this->fontawesome5_ver = get_option('fontawesome5_ver_num') ? preg_replace("/( |　)/", "", get_option('fontawesome5_ver_num') ) : '5.7.2';
    }

    public function get_fontawesome_cdn()
    {
      $fontawesome5_ver = $this->fontawesome5_ver;
      return 'https://use.fontawesome.com/releases/v'. $fontawesome5_ver .'/css/all.css';
    }

    public function render_fontawesome_fontface()
    {
      $fontawesome5_ver = $this->fontawesome5_ver;
      return "@font-face
      {
        font-family:\"Font Awesome 5 Brands\";
        font-style:normal;
        font-weight:normal;
        font-display:auto;
        src:url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-brands-400.eot);
        src:url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-brands-400.eot?#iefix) format(\"embedded-opentype\"),
          url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-brands-400.woff2) format(\"woff2\"),
          url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-brands-400.woff) format(\"woff\"),
          url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-brands-400.ttf) format(\"truetype\"),
          url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-brands-400.svg#fontawesome) format(\"svg\")
      }
      @font-face{
        font-family:\"Font Awesome 5 Free\";
        font-style:normal;
        font-weight:400;
        font-display:auto;
        src:url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-regular-400.eot);
        src:url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-regular-400.eot?#iefix) format(\"embedded-opentype\"),
        url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-regular-400.woff2) format(\"woff2\"),
        url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-regular-400.woff) format(\"woff\"),
        url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-regular-400.ttf) format(\"truetype\"),
        url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-regular-400.svg#fontawesome) format(\"svg\")
      }
      @font-face{
        font-family:\"Font Awesome 5 Free\";
        font-style:normal;
        font-weight:900;
        font-display:auto;
        src:url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-solid-900.eot);
        src:url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-solid-900.eot?#iefix) format(\"embedded-opentype\"),
        url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-solid-900.woff2) format(\"woff2\"),
        url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-solid-900.woff) format(\"woff\"),
        url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-solid-900.ttf) format(\"truetype\"),
        url(https://use.fontawesome.com/releases/v$fontawesome5_ver/webfonts/fa-solid-900.svg#fontawesome) format(\"svg\")
      }
    ";
    }
}
